%global debug_package %{nil}

Name:           libheinz
Version:        2.0.0
Release:        %autorelease
Summary:        C++ base library of Heinz Maier-Leibnitz Zentrum
License:        0BSD
URL:            https://jugit.fz-juelich.de/mlz/libheinz
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
Patch0:         libheinz.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \

%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%license LICENSE
%doc README.md
%{_includedir}/heinz/
%{_libdir}/cmake/LibHeinz/

%changelog
%autochangelog
